: Class Font3D

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class Font3D

    java.lang.Object
      |
      +--javax.media.j3d.Font3D

public class Font3D
extends java.lang.Object

The Font3D object is used to store extruded 2D glyphs. These 3D glyphs can then be used to contruct Text3D NodeComponent objects. Custom 3D fonts as well as methods to store 3D fonts to disk will be addressed in a future release.

A 3D Font consists of a Java 2D font and an extrusion path. The extrusion path describes how the edge of a glyph varies in the Z axis.

See Also:
  `Font`, `FontExtrusion`, `Text3D`

Constructor Summary
`Font3D(java.awt.Font font, FontExtrusion extrudePath)` Creates a Font3D object from the specified Font object.

Method Summary
`GeometryArray` | `getAsTriangles(int glyphCode)` Deprecated.
`void` | `getBoundingBox(int glyphCode, BoundingBox bounds)` Returns the 3D bounding box of the specified glyph code.
`Bounds` | `getBounds(int glyphCode)` Deprecated. use getBoundingBox instead.
`java.awt.Font` | `getFont()` Returns the Java 2D Font used to create this Font3D object.
`void` | `getFontExtrusion(FontExtrusion extrudePath)` Copies the FontExtrusion object used to create this Font3D object into the specified parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Font3D

    public Font3D(java.awt.Font font,
                  FontExtrusion extrudePath)

  Creates a Font3D object from the specified Font object. The FontExtrusion object contains the extrusion path to use on the 2D Font glyphs. To ensure correct rendering the font must be created with the default AffineTransform. Passing null for the FontExtrusion parameter results in no extrusion being done.
  Parameters:
    `font` - the Java 2D font used to create the 3D font object.
    `extrudePath` - the extrusion path used to describe how the edge of the font varies along the Z axis.
  See Also:
    `Font`, `FontExtrusion`

Method Detail

### getFont

    public java.awt.Font getFont()

  Returns the Java 2D Font used to create this Font3D object.
  Returns:
    Font object used by this Font3D

### getFontExtrusion

    public void getFontExtrusion(FontExtrusion extrudePath)

  Copies the FontExtrusion object used to create this Font3D object into the specified parameter.
  See Also:
    `FontExtrusion`

### getBounds

    public Bounds getBounds(int glyphCode)

  Deprecated. use getBoundingBox instead.

### getBoundingBox

    public final void getBoundingBox(int glyphCode,
                                     BoundingBox bounds)

  Returns the 3D bounding box of the specified glyph code.
  Parameters:
    `glyphCode` - the glyphCode from the original 2D Font.
    `the` - 3D glyph's bounds.
  See Also:
    `Bounds`

### getAsTriangles

    public GeometryArray getAsTriangles(int glyphCode)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD